Subject: bug#39187: Fwd: "Package refresh is already in progress, please wait..."

From: Stefan Kangas <[email-masked]>
Date: Tue, 11 Feb 2020 07:25:41 +0100

Jean-Christophe Helary <[email-masked]>
writes:

>> It should no longer display an error message and instead start a new
>> package archive refresh.
>
> Stephan
>
> Excellent. Thank you so much.
>
> When the connection is off, there is a message that the packages can't be downloaded.
>
> Then, when I reconnect to the internet, the refresh works as expected.

Thank you very much for testing and describing the behaviour you see
in detail.  That confirms that this bug should no longer block the
emacs-27 release.

> Would it be possible to also have that on master ?

I'm working on a different fix for the master branch, which will try
to avoid running more than one refresh at the same time.  It's on the
top of my things to do in Emacs, but I unfortunately haven't found the
time to finish it yet.

Best regards,
Stefan Kangas